<? if ($this->items): ?>
	<div class="items">
		<? foreach ($this->items as $item): ?>
			<div class="item<? if ($this->user_id == $item['user_id']): ?> my<? endif; ?>">
				<div class="title">
					<span>ID #<?= $item['id'] ?></span> 
					<?= $item['title'] ?> 
					<? if ($this->user_type == 'member' && $item['show_username'] == 2): ?>
						<span style="color: #000; margin-left: 10px;"><?= __('user') ?>: <?= $item['username'] ?></span>
					<? endif; ?>
				</div>
				<div class="text">
					<?= $item['post'] ?>
				</div>
				<div class="date"><?= date('d M Y H:i', $item['date']) ?></div>
				<? if ($item['status'] == PINBOARD_STATUS_APPROVED): ?>
					<a href="#" class="reply-btn" onclick="return Cubix.Pinboard.AddReply(<?= $item['id'] ?>);"><span><?= __('reply') ?></span></a>
				<? elseif ($item['status'] == PINBOARD_STATUS_CLOSED): ?>
					<div class="closed">[<?= __('closed') ?>]</div>
				<? endif; ?>
				
				<? if ($this->user_id != $item['user_id']): ?>
					<a href="#" onclick="return Cubix.PrivateMessaging.Show($(this).getParent(), '<?=  "member-" . $item['user_id'] ?>', '<?= $item['id'] ?>')" class="pm"></a>
				<? endif; ?>
				<div id="add-reply-wrap-<?= $item['id'] ?>" class="add-reply-wrap"></div>
				
				<div class="clear"></div>
			</div>
		<? endforeach; ?>
	</div>

	<input type="hidden" id="h-count" value="<?= $this->count ?>" />
	<input type="hidden" id="h-page" value="<?= $this->page ?>" />
	<input type="hidden" id="h-per-page" value="<?= $this->per_page ?>" />

	<? $per_page = $this->per_page; ?>
	<? $pages_count = ceil($this->count / $per_page); ?>

	<? if ( $pages_count != 1 ): ?>
		<div class="paging-wrap">
			<p class="pin-paging">
				<? $pages = $this->paging($this->count, $this->page, $per_page); ?>
				<? if ( 1 < $this->page): ?>
					<a class="prev" href="#" onclick="return Cubix.Pinboard.Show({page: <?= ($this->page - 1) ?>}, true);"></a>
				<? endif; ?>

				<? foreach ( $pages as $page ): ?>
					<? if ( $this->page == $page ): ?>
						<span><?= $page ?></span>
					<? else: ?>
						<a class="p" href="#" onclick="return Cubix.Pinboard.Show({page: <?= $page ?> }, true);"><?= $page ?></a>
					<? endif; ?>
					
					<? if (end($pages) != $page): ?>
						<span class="sep"></span>
					<? endif; ?>
				<? endforeach; ?>

				<? if ( $pages_count > $this->page): ?>
					<a class="next" href="#" onclick="return Cubix.Pinboard.Show({page: <?= ($this->page + 1) ?>}, true);"></a>
				<? endif; ?>
			</p>
		</div>
	<? endif; ?>
<? else: ?>
	<?= __('no_posts_found') ?>
<? endif; ?>